Package org.jbpm.casemgmt.api.model.instance

## Interface CaseFileInstance

- All Superinterfaces:
    `org.kie.api.runtime.process.CaseData`
  All Known Implementing Classes:
    `CaseFileInstanceImpl`

      public interface CaseFileInstance
      extends org.kie.api.runtime.process.CaseData

  Represent contextual data of a given Case

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAll​(Map<String,​Object> data)` | Adds all elements of data collection to existing case file (replacing already existing data that matches with input)
    `Date` | `getCaseEndDate()` | Returns end date of the associated case
    `String` | `getCaseId()` | Returns case id this case file is associated with.
    `Date` | `getCaseReopenDate()` | Returns reopen date of the associated case
    `Date` | `getCaseStartDate()` | Returns start date of the associated case
    `Map<String,​Object>` | `getData​(CaseFileDataFilter filter)` | Returns filtered available case data for given case.
    `void` | `remove​(CaseFileDataFilter filter)` | Remove permanently all data from existing case file that matches given filter
    `void` | `removeAll()` | Removes permanently all data, which is essentially a clear of the entire case file

    - ### Methods inherited from interface org.kie.api.runtime.process.CaseData

      `add, getData, getData, getDefinitionId, remove`

- - ### Method Detail

    - #### getCaseId

          String getCaseId()

      Returns case id this case file is associated with.
      Returns:

    - #### getCaseStartDate

          Date getCaseStartDate()

      Returns start date of the associated case
      Returns:

    - #### getCaseEndDate

          Date getCaseEndDate()

      Returns end date of the associated case
      Returns:

    - #### getCaseReopenDate

          Date getCaseReopenDate()

      Returns reopen date of the associated case
      Returns:

    - #### getData

          Map<String,​Object> getData​(CaseFileDataFilter filter)

      Returns filtered available case data for given case.
      Returns:

    - #### addAll

          void addAll​(Map<String,​Object> data)

      Adds all elements of data collection to existing case file (replacing already existing data that matches with input)
      Parameters:
        `data` -

    - #### remove

          void remove​(CaseFileDataFilter filter)

      Remove permanently all data from existing case file that matches given filter
      Parameters:
        `filter` -

    - #### removeAll

          void removeAll()

      Removes permanently all data, which is essentially a clear of the entire case file